# Index

Symbols | A | B | C | D | E | F | G | I | L | M | N | O | P | Q | R | S | T | U | V | X

## Symbols

- --accelerator
  - dsymutil command line option
- --add-dyldinfo
  - llvm-nm command line option
- --add-gnu-debuglink
  - llvm-objcopy command line option
- --add-inlinedinfo
  - llvm-nm command line option
- --add-section
  - llvm-objcopy command line option
- --add-symbol
  - llvm-objcopy command line option
- --addresses
  - llvm-symbolizer command line option
- --addrsig
  - llvm-readelf command line option
  - llvm-readobj command line option
- --adjust-start
  - llvm-objcopy command line option
- --adjust-vma
  - llvm-objdump command line option
  - llvm-symbolizer command line option
- --all
  - llvm-dwarfdump command line option
  - llvm-readelf command line option
  - llvm-readobj command line option
  - llvm-strings command line option
- --all-blocks
  - llvm-cov-gcov command line option
- --all-functions
  - llvm-profdata-show command line option
- --all-headers
  - llvm-objdump command line option
- --allow-broken-links
  - llvm-objcopy command line option
  - llvm-strip command line option
- --allow-deprecated-dag-overlap
  - FileCheck command line option
- --allow-empty
  - FileCheck command line option
- --allow-unused-prefixes
  - FileCheck command line option
- --apple-names
  - llvm-dwarfdump command line option
- --apple-namespaces
  - llvm-dwarfdump command line option
- --apple-objc
  - llvm-dwarfdump command line option
- --apple-types
  - llvm-dwarfdump command line option
- --arch
  - dsymutil command line option
  - llvm-dwarfdump command line option
  - llvm-ifs command line option
  - llvm-nm command line option
  - llvm-objdump command line option
  - llvm-size command line option
- --arch-name
  - llvm-objdump command line option
- --arch-specific
  - llvm-readelf command line option
  - llvm-readobj command line option
- --archive-headers
  - llvm-objdump command line option
- --archive-member-offsets
  - llvm-objdump command line option
- --auxiliary-header
  - llvm-readobj command line option
- --basenames
  - llvm-symbolizer command line option
- --bb-addr-map
  - llvm-readelf command line option
  - llvm-readobj command line option
- --binary
  - llvm-profdata-merge command line option
  - llvm-profgen command line option
- --binary-architecture
  - llvm-objcopy command line option
- --bind
  - llvm-objdump command line option
- --bitwidth
  - llvm-ifs command line option
- --branch-counts
  - llvm-cov-gcov command line option
- --branch-probabilities
  - llvm-cov-gcov command line option
- --build-id
  - llvm-symbolizer command line option
- --bytes
  - llvm-strings command line option
- --cg-profile
  - llvm-readelf command line option
  - llvm-readobj command line option
- --change-start
  - llvm-objcopy command line option
- --check-prefix
  - FileCheck command line option
- --check-prefixes
  - FileCheck command line option
- --codeview
  - llvm-readobj command line option
- --codeview-ghash
  - llvm-readobj command line option
- --codeview-merged-types
  - llvm-readobj command line option
- --codeview-subsection-bytes
  - llvm-readobj command line option
- --coff-basereloc
  - llvm-readobj command line option
- --coff-debug-directory
  - llvm-readobj command line option
- --coff-directives
  - llvm-readobj command line option
- --coff-exports
  - llvm-readobj command line option
- --coff-imports
  - llvm-readobj command line option
- --coff-load-config
  - llvm-readobj command line option
- --coff-resources
  - llvm-readobj command line option
- --coff-tls-directory
  - llvm-readobj command line option
- --color
  - FileCheck command line option
  - llvm-dwarfdump command line option
  - llvm-symbolizer command line option
- --comment-prefixes
  - FileCheck command line option
- --common
  - llvm-size command line option
- --compare
  - llvm-locstats command line option
- --compress-all-sections
  - llvm-profdata-merge command line option
- --compress-debug-sections
  - llvm-objcopy command line option
- --config-prefix
  - lit command line option
- --counts
  - llvm-profdata-show command line option
- --cs
  - llvm-profdata-overlap command line option
- --data-in-code
  - llvm-objdump command line option
- --debug
  - lit command line option
- --debug-abbrev
  - llvm-dwarfdump command line option
- --debug-addr
  - llvm-dwarfdump command line option
- --debug-aranges
  - llvm-dwarfdump command line option
- --debug-cu-index
  - llvm-dwarfdump command line option
- --debug-frame
  - llvm-dwarfdump command line option
- --debug-gnu-pubnames
  - llvm-dwarfdump command line option
- --debug-gnu-pubtypes
  - llvm-dwarfdump command line option
- --debug-info
  - llvm-dwarfdump command line option
  - llvm-profdata-merge command line option
- --debug-line
  - llvm-dwarfdump command line option
- --debug-line-str
  - llvm-dwarfdump command line option
- --debug-loc
  - llvm-dwarfdump command line option
- --debug-loclists
  - llvm-dwarfdump command line option
- --debug-macro
  - llvm-dwarfdump command line option
- --debug-names
  - llvm-dwarfdump command line option
- --debug-pubnames
  - llvm-dwarfdump command line option
- --debug-pubtypes
  - llvm-dwarfdump command line option
- --debug-ranges
  - llvm-dwarfdump command line option
- --debug-rnglists
  - llvm-dwarfdump command line option
- --debug-str
  - llvm-dwarfdump command line option
- --debug-str-offsets
  - llvm-dwarfdump command line option
- --debug-syms
  - llvm-nm command line option
- --debug-tu-index
  - llvm-dwarfdump command line option
- --debug-types
  - llvm-dwarfdump command line option
- --debug-vars
  - llvm-objdump command line option
- --debug-vars-indent
  - llvm-objdump command line option
- --debuginfod
  - llvm-symbolizer command line option
- --decompress-debug-sections
  - llvm-objcopy command line option
- --default-arch
  - llvm-symbolizer command line option
- --defined-only
  - llvm-nm command line option
- --demangle
  - llvm-nm command line option
  - llvm-objdump command line option
  - llvm-readelf command line option
  - llvm-readobj command line option
  - llvm-symbolizer command line option
- --demangled-names
  - llvm-cov-gcov command line option
- --dependent-libraries
  - llvm-readelf command line option
  - llvm-readobj command line option
- --dia
  - llvm-symbolizer command line option
- --diff
  - llvm-dwarfdump command line option
- --dis-symname
  - llvm-objdump command line option
- --disable-deterministic-archives
  - llvm-objcopy command line option
  - llvm-strip command line option
- --disable-excess-fp-precision
  - llc command line option
- --disassemble
  - llvm-objdump command line option
- --disassemble-all
  - llvm-objdump command line option
- --disassemble-symbols
  - llvm-objdump command line option
- --disassemble-zeroes
  - llvm-objdump command line option
- --disassembler-options
  - llvm-objdump command line option
- --discard-all
  - llvm-objcopy command line option
  - llvm-strip command line option
- --discard-locals
  - llvm-objcopy command line option
  - llvm-strip command line option
- --draw-plot
  - llvm-locstats command line option
- --dsym
  - llvm-objdump command line option
- --dsym-hint
  - llvm-symbolizer command line option
- --dt
  - llvm-readobj command line option
- --dump
  - llvm-bcanalyzer command line option
- --dump-debug-map
  - dsymutil command line option
- --dump-input
  - FileCheck command line option
- --dump-input-context
  - FileCheck command line option
- --dump-input-filter
  - FileCheck command line option
- --dump-object-to-disk
  - llvm-exegesis command line option
- --dump-section
  - llvm-objcopy command line option
- --dump-tli
  - llvm-tli-checker command line option
- --dwarf
  - llvm-objdump command line option
- --dwp
  - llvm-symbolizer command line option
- --dyld_info
  - llvm-objdump command line option
- --dyldinfo-only
  - llvm-nm command line option
- --dylib-id
  - llvm-objdump command line option
- --dylibs-used
  - llvm-objdump command line option
- --dyn-relocations
  - llvm-readelf command line option
  - llvm-readobj command line option
- --dyn-symbols
  - llvm-readelf command line option
  - llvm-readobj command line option
- --dyn-syms
  - llvm-readelf command line option
  - llvm-readobj command line option
- --dynamic
  - llvm-nm command line option
  - llvm-readelf command line option
  - llvm-readobj command line option
- --dynamic-reloc
  - llvm-objdump command line option
- --dynamic-syms
  - llvm-objdump command line option
- --dynamic-table
  - llvm-readelf command line option
  - llvm-readobj command line option
- --echo-all-commands
  - lit command line option
- --eh-frame
  - llvm-dwarfdump command line option
- --elf-linker-options
  - llvm-readelf command line option
  - llvm-readobj command line option
- --elf-output-style
  - llvm-readelf command line option
  - llvm-readobj command line option
- --enable-deterministic-archives
  - llvm-objcopy command line option
  - llvm-strip command line option
- --enable-no-infs-fp-math
  - llc command line option
- --enable-no-nans-fp-math
  - llc command line option
- --enable-no-signed-zeros-fp-math
  - llc command line option
- --enable-no-trapping-fp-math
  - llc command line option
- --enable-unsafe-fp-math
  - llc command line option
- --enable-var-scope
  - FileCheck command line option
- --endianness
  - llvm-ifs command line option
- --exe
  - llvm-symbolizer command line option
- --expand-relocs
  - llvm-readelf command line option
  - llvm-readobj command line option
- --export-symbols
  - llvm-nm command line option
- --exports-trie
  - llvm-objdump command line option
- --extbinary
  - llvm-profdata-merge command line option
- --extern-only
  - llvm-nm command line option
- --extract-dwo
  - llvm-objcopy command line option
- --extract-main-partition
  - llvm-objcopy command line option
- --extract-partition
  - llvm-objcopy command line option
- --failure-mode
  - llvm-profdata-merge command line option
- --fallback-debug-path
  - llvm-symbolizer command line option
- --fault-map-section
  - llvm-objdump command line option
- --file-header
  - llvm-readelf command line option
  - llvm-readobj command line option
- --file-headers
  - llvm-objdump command line option
- --filter
  - lit command line option
- --filter-markup
  - llvm-symbolizer command line option
- --filter-out
  - lit command line option
- --find
  - llvm-dwarfdump command line option
- --flat
  - dsymutil command line option
- --format
  - llvm-ar command line option
  - llvm-cxxfilt command line option
  - llvm-nm command line option
  - llvm-profgen command line option
  - llvm-size command line option
- --frame-pointer
  - llc command line option
- --full-contents
  - llvm-objdump command line option
- --full-leading-addr
  - llvm-objdump command line option
- --function
  - llvm-profdata-overlap command line option
  - llvm-profdata-show command line option
- --function-starts
  - llvm-objdump command line option
- --function-summaries
  - llvm-cov-gcov command line option
- --functions
  - llvm-symbolizer command line option
- --garbage-collection
  - llvm-dwarfutil command line option
- --gcc
  - llvm-profdata-merge command line option
- --gdb-index
  - llvm-dwarfdump command line option
- --gen-partial-profile
  - llvm-profdata-merge command line option
- --gen-reproducer
  - dsymutil command line option
- --globalize-symbol
  - llvm-objcopy command line option
- --globalize-symbols
  - llvm-objcopy command line option
- --gnu-hash-table
  - llvm-readelf command line option
  - llvm-readobj command line option
- --hash-filenames
  - llvm-cov-gcov command line option
- --hash-symbols
  - llvm-readelf command line option
  - llvm-readobj command line option
- --hash-table
  - llvm-readelf command line option
  - llvm-readobj command line option
- --headers
  - llvm-objdump command line option
  - llvm-readelf command line option
  - llvm-readobj command line option
- --help
  - dsymutil command line option
  - lit command line option
  - llvm-ar command line option
  - llvm-bcanalyzer command line option
  - llvm-cov-gcov command line option
  - llvm-cxxfilt command line option
  - llvm-dwarfdump command line option
  - llvm-dwarfutil command line option
  - llvm-install-name-tool command line option
  - llvm-nm command line option
  - llvm-objcopy command line option
  - llvm-objdump command line option
  - llvm-otool command line option
  - llvm-profdata-merge command line option
  - llvm-profdata-overlap command line option
  - llvm-profdata-show command line option
  - llvm-readelf command line option
  - llvm-readobj command line option
  - llvm-size command line option
  - llvm-strings command line option
  - llvm-strip command line option
  - llvm-symbolizer command line option
  - llvm-tli-checker command line option
- --help-hidden
  - llvm-otool command line option
- --help-list
  - llvm-dwarfdump command line option
- --hex-dump
  - llvm-readelf command line option
  - llvm-readobj command line option
- --hint-ifs-target
  - llvm-ifs command line option, [1]
- --histogram
  - llvm-readelf command line option
  - llvm-readobj command line option
- --ignore-case
  - FileCheck command line option
  - llvm-dwarfdump command line option
- --ignore-debug-entry-values
  - llvm-locstats command line option
- --ignore-fail
  - lit command line option
- --implicit-check-not
  - FileCheck command line option
- --indirect-symbols
  - llvm-objdump command line option
- --info-plist
  - llvm-objdump command line option
- --inlines
  - llvm-symbolizer command line option
- --inlining
  - llvm-symbolizer command line option
- --input-file
  - FileCheck command line option
- --input-files
  - llvm-profdata-merge command line option
- --input-format
  - llvm-ifs command line option
- --input-target
  - llvm-objcopy command line option
- --instr
  - llvm-profdata-merge command line option
  - llvm-profdata-show command line option
- --instr-prof-cold-threshold
  - llvm-profdata-merge command line option
- --keep-file-symbols
  - llvm-objcopy command line option
  - llvm-strip command line option
- --keep-function-for-static
  - dsymutil command line option
- --keep-global-symbol
  - llvm-objcopy command line option
- --keep-global-symbols
  - llvm-objcopy command line option
- --keep-section
  - llvm-objcopy command line option
  - llvm-strip command line option
- --keep-symbol
  - llvm-objcopy command line option
  - llvm-strip command line option
- --keep-symbols
  - llvm-objcopy command line option
- --keep-undefined
  - llvm-objcopy command line option
- --lazy-bind
  - llvm-objdump command line option
- --libdir
  - llvm-tli-checker command line option
- --line-numbers
  - llvm-objdump command line option
- --link-opt-hints
  - llvm-objdump command line option
- --list-below-cutoff
  - llvm-profdata-show command line option
- --load
  - llc command line option
- --localize-hidden
  - llvm-objcopy command line option
- --localize-symbol
  - llvm-objcopy command line option
- --localize-symbols
  - llvm-objcopy command line option
- --long-file-names
  - llvm-cov-gcov command line option
- --lookup
  - llvm-dwarfdump command line option
- --macho
  - llvm-objdump command line option
- --macho-data-in-code
  - llvm-readobj command line option
- --macho-dsymtab
  - llvm-readobj command line option
- --macho-indirect-symbols
  - llvm-readobj command line option
- --macho-linker-options
  - llvm-readobj command line option
- --macho-segment
  - llvm-readobj command line option
- --macho-version-min
  - llvm-readobj command line option
- --match-full-lines
  - FileCheck command line option
- --mattr
  - llvm-objdump command line option
- --max-failures
  - lit command line option
- --max-tests
  - lit command line option
- --max-time
  - lit command line option
- --mcpu
  - llvm-objdump command line option
- --memop-sizes
  - llvm-profdata-show command line option
- --minimize
  - dsymutil command line option
- --name
  - llvm-dwarfdump command line option
- --needed-libs
  - llvm-readelf command line option
  - llvm-readobj command line option
- --new-symbol-visibility
  - llvm-objcopy command line option
- --no-debuginfod
  - llvm-symbolizer command line option
- --no-demangle
  - llvm-nm command line option
  - llvm-readelf command line option
  - llvm-symbolizer command line option
- --no-dyldinfo
  - llvm-nm command line option
- --no-garbage-collection
  - llvm-dwarfutil command line option
- --no-indirectly-run-check
  - lit command line option
- --no-inlines
  - llvm-symbolizer command line option
- --no-leading-addr
  - llvm-objdump command line option
- --no-leading-headers
  - llvm-objdump command line option
- --no-llvm-bc
  - llvm-nm command line option
- --no-odr
  - dsymutil command line option
- --no-odr-deduplication
  - llvm-dwarfutil command line option
- --no-output
  - dsymutil command line option
  - llvm-cov-gcov command line option
- --no-print-imm-hex
  - llvm-objdump command line option
- --no-progress-bar
  - lit command line option
- --no-rsrc
  - llvm-nm command line option
- --no-separate-debug-file
  - llvm-dwarfutil command line option
- --no-show-raw-insn
  - llvm-objdump command line option
- --no-sort
  - llvm-nm command line option
- --no-strip-all
  - llvm-strip command line option
- --no-strip-underscore
  - llvm-cxxfilt command line option
- --no-swiftmodule-timestamp
  - dsymutil command line option
- --no-symbolic-operands
  - llvm-objdump command line option
- --no-weak
  - llvm-nm command line option
- --non-verbose
  - llvm-objdump command line option
- --notes
  - llvm-readelf command line option
  - llvm-readobj command line option
- --num-shards
  - lit command line option
- --num-threads
  - dsymutil command line option
  - llvm-dwarfutil command line option
  - llvm-profdata-merge command line option
- --numeric-sort
  - llvm-nm command line option
- --obj
  - llvm-symbolizer command line option
- --objc-meta-data
  - llvm-objdump command line option
- --object-directory
  - llvm-cov-gcov command line option
- --object-file
  - llvm-cov-gcov command line option
- --object-prefix-map
  - dsymutil command line option
- --odr-deduplication
  - llvm-dwarfutil command line option
- --offloading
  - llvm-objdump command line option
- --only-formal-parameters
  - llvm-locstats command line option
- --only-keep-debug
  - llvm-objcopy command line option
  - llvm-strip command line option
- --only-section
  - llvm-objcopy command line option
- --only-variables
  - llvm-locstats command line option
- --order
  - lit command line option
- --oso-prepend-path
  - dsymutil command line option
- --out
  - dsymutil command line option
- --output
  - llvm-ar command line option
  - llvm-profdata-merge command line option
  - llvm-profdata-overlap command line option
  - llvm-profdata-show command line option
  - llvm-profgen command line option
- --output-elf
  - llvm-ifs command line option
- --output-ifs
  - llvm-ifs command line option
- --output-style
  - llvm-symbolizer command line option
- --output-target
  - llvm-objcopy command line option
- --output-tbd
  - llvm-ifs command line option
- --papertrail
  - dsymutil command line option
- --param
  - lit command line option
- --parent-recurse-depth
  - llvm-dwarfdump command line option
- --parser
  - llvm-remark-size-diff command line option
- --path
  - lit command line option
- --perfscript
  - llvm-profgen command line option
- --portability
  - llvm-nm command line option
- --prefix
  - llvm-objdump command line option
- --prefix-alloc-sections
  - llvm-objcopy command line option
- --prefix-strip
  - llvm-objdump command line option
- --prefix-symbols
  - llvm-objcopy command line option
- --preserve-dates
  - llvm-objcopy command line option
  - llvm-strip command line option
- --preserve-paths
  - llvm-cov-gcov command line option
- --pretty
  - llvm-remark-size-diff command line option
- --pretty-print
  - llvm-readelf command line option
  - llvm-readobj command line option
  - llvm-symbolizer command line option
- --print-address
  - llvm-symbolizer command line option
- --print-after-isel
  - llc command line option
- --print-armap
  - llvm-nm command line option
- --print-file-name
  - llvm-nm command line option
  - llvm-strings command line option
- --print-imm-hex
  - llvm-objdump command line option
- --print-size
  - llvm-nm command line option
- --print-source-context-lines
  - llvm-symbolizer command line option
- --private-header
  - llvm-objdump command line option
- --private-headers
  - llvm-objdump command line option
- --prof-sym-list
  - llvm-profdata-merge command line option
- --program-headers
  - llvm-readelf command line option
  - llvm-readobj command line option
- --quiet
  - lit command line option
  - llvm-dwarfdump command line option
  - llvm-nm command line option
- --radix
  - llvm-nm command line option
  - llvm-size command line option
  - llvm-strings command line option
- --raw-clang-ast
  - llvm-objdump command line option
- --raw-relr
  - llvm-readelf command line option
  - llvm-readobj command line option
- --rebase
  - llvm-objdump command line option
- --recurse-depth
  - llvm-dwarfdump command line option
- --redefine-sym
  - llvm-objcopy command line option
- --redefine-syms
  - llvm-objcopy command line option
- --regalloc
  - llc command line option
- --regex
  - llvm-dwarfdump command line option
  - llvm-objcopy command line option
  - llvm-strip command line option
- --relativenames
  - llvm-symbolizer command line option
- --reloc
  - llvm-objdump command line option
- --relocations
  - llvm-readelf command line option
  - llvm-readobj command line option
- --relocs
  - llvm-readelf command line option
  - llvm-readobj command line option
- --remapping-file
  - llvm-profdata-merge command line option
- --remarks-output-format
  - dsymutil command line option
- --remarks-prepend-path
  - dsymutil command line option
- --remove-section
  - llvm-objcopy command line option
  - llvm-strip command line option
- --rename-section
  - llvm-objcopy command line option
- --report
  - llvm-tli-checker command line option
- --report-style
  - llvm-remark-size-diff command line option
- --reproducer
  - dsymutil command line option
- --reverse-sort
  - llvm-nm command line option
- --rpaths
  - llvm-objdump command line option
- --rsp-quoting
  - llvm-ar command line option
- --run-shard
  - lit command line option
- --sample
  - llvm-profdata-merge command line option
  - llvm-profdata-show command line option
- --sd
  - llvm-readobj command line option
- --section
  - llvm-objdump command line option
- --section-data
  - llvm-readelf command line option
  - llvm-readobj command line option
- --section-details
  - llvm-readelf command line option
- --section-groups
  - llvm-readelf command line option
  - llvm-readobj command line option
- --section-headers
  - llvm-objdump command line option
  - llvm-readelf command line option
  - llvm-readobj command line option
- --section-mapping
  - llvm-readelf command line option
  - llvm-readobj command line option
- --section-relocations
  - llvm-readelf command line option
  - llvm-readobj command line option
- --section-symbols
  - llvm-readelf command line option
  - llvm-readobj command line option
- --sections
  - llvm-readelf command line option
  - llvm-readobj command line option
- --segments
  - llvm-readelf command line option
  - llvm-readobj command line option
- --separate
  - llvm-tli-checker command line option
- --separate-debug-file
  - llvm-dwarfutil command line option
- --set-section-alignment
  - llvm-objcopy command line option
- --set-section-flags
  - llvm-objcopy command line option
- --set-section-type
  - llvm-objcopy command line option
- --set-start-addr
  - llvm-objcopy command line option
- --show-all
  - lit command line option
- --show-children
  - llvm-dwarfdump command line option
- --show-disassembly
  - llvm-profgen command line option
- --show-form
  - llvm-dwarfdump command line option
- --show-lma
  - llvm-objdump command line option
- --show-mmap-events
  - llvm-profgen command line option
- --show-parents
  - llvm-dwarfdump command line option
- --show-prof-sym-list
  - llvm-profdata-show command line option
- --show-sec-info-only
  - llvm-profdata-show command line option
- --show-section-sizes
  - llvm-dwarfdump command line option
- --show-sources
  - llvm-dwarfdump command line option
- --show-suites
  - lit command line option
- --show-tests
  - lit command line option
- --show-unsupported
  - lit command line option
- --show-xfail
  - lit command line option
- --showcs
  - llvm-profdata-show command line option
- --shuffle
  - lit command line option
- --size-sort
  - llvm-nm command line option
- --sort-symbols
  - llvm-readobj command line option
- --source
  - llvm-objdump command line option
- --sparse
  - llvm-profdata-merge command line option
- --special-syms
  - llvm-nm command line option
- --spiller
  - llc command line option
- --split-dwo
  - llvm-objcopy command line option
- --sr
  - llvm-readobj command line option
- --st
  - llvm-readobj command line option
- --stack-sizes
  - llvm-readelf command line option
  - llvm-readobj command line option
- --stackmap
  - llvm-readelf command line option
  - llvm-readobj command line option
- --start-address
  - llvm-objdump command line option
- --statistics
  - dsymutil command line option
  - llvm-dwarfdump command line option
- --stats
  - llc command line option
- --stdout
  - llvm-cov-gcov command line option
- --stop-address
  - llvm-objdump command line option
- --strict-whitespace
  - FileCheck command line option
- --string-dump
  - llvm-readelf command line option
  - llvm-readobj command line option
- --string-table
  - llvm-readobj command line option
- --strip-all
  - llvm-objcopy command line option
  - llvm-strip command line option
- --strip-all-gnu
  - llvm-objcopy command line option
  - llvm-strip command line option
- --strip-debug
  - llvm-objcopy command line option
  - llvm-strip command line option
- --strip-dwo
  - llvm-objcopy command line option
- --strip-ifs-bitwidth
  - llvm-ifs command line option
- --strip-ifs-endianness
  - llvm-ifs command line option
- --strip-ifs-target
  - llvm-ifs command line option
- --strip-non-alloc
  - llvm-objcopy command line option
- --strip-sections
  - llvm-objcopy command line option
  - llvm-strip command line option
- --strip-size
  - llvm-ifs command line option
- --strip-symbol
  - llvm-objcopy command line option
  - llvm-strip command line option
- --strip-symbols
  - llvm-objcopy command line option
- --strip-underscore
  - llvm-cxxfilt command line option
- --strip-unneeded
  - llvm-objcopy command line option
  - llvm-strip command line option
- --strip-unneeded-symbol
  - llvm-objcopy command line option
- --strip-unneeded-symbols
  - llvm-objcopy command line option
- --subsystem
  - llvm-objcopy command line option
- --succinct
  - lit command line option
- --summarize-types
  - llvm-dwarfdump command line option
- --suppl-min-size-threshold
  - llvm-profdata-merge command line option
- --supplement-instr-with-sample
  - llvm-profdata-merge command line option
- --symbol-description
  - llvm-objdump command line option
- --symbol-map
  - dsymutil command line option
- --symbolize-operands
  - llvm-objdump command line option
- --symbols
  - llvm-readelf command line option
  - llvm-readobj command line option
- --syms
  - llvm-objdump command line option
  - llvm-readelf command line option
  - llvm-readobj command line option
- --symtab
  - dsymutil command line option
- --target
  - llvm-ifs command line option
  - llvm-objcopy command line option
- --text
  - llvm-profdata-merge command line option
  - llvm-profdata-show command line option
- --thin
  - llvm-ar command line option
- --time-passes
  - llc command line option
- --time-tests
  - lit command line option
- --timeout
  - lit command line option
- --tombstone
  - llvm-dwarfutil command line option
- --toolchain
  - dsymutil command line option
- --topn
  - llvm-profdata-show command line option
- --totals
  - llvm-size command line option
- --triple
  - llvm-objdump command line option
  - llvm-tli-checker command line option
- --types
  - llvm-cxxfilt command line option
- --unconditional-branches
  - llvm-cov-gcov command line option
- --undefined-only
  - llvm-nm command line option
- --universal-headers
  - llvm-objdump command line option
- --unwind
  - llvm-readelf command line option
  - llvm-readobj command line option
- --unwind-info
  - llvm-objdump command line option
- --update
  - dsymutil command line option
- --update-section
  - llvm-objcopy command line option
- --use-md5
  - llvm-profdata-merge command line option
- --use-reproducer
  - dsymutil command line option
- --uuid
  - llvm-dwarfdump command line option
- --value-cutoff
  - llvm-profdata-overlap command line option
  - llvm-profdata-show command line option
- --verbose
  - dsymutil command line option
  - lit command line option
  - llvm-dwarfdump command line option
  - llvm-dwarfutil command line option
  - llvm-symbolizer command line option
- --verify
  - dsymutil command line option
  - llvm-dwarfdump command line option
  - llvm-dwarfutil command line option
- --version
  - dsymutil command line option
  - llvm-ar command line option
  - llvm-cxxfilt command line option
  - llvm-dwarfdump command line option
  - llvm-dwarfutil command line option
  - llvm-install-name-tool command line option
  - llvm-nm command line option
  - llvm-objcopy command line option
  - llvm-objdump command line option
  - llvm-otool command line option
  - llvm-readelf command line option
  - llvm-readobj command line option
  - llvm-size command line option
  - llvm-strings command line option
  - llvm-strip command line option
  - llvm-symbolizer command line option
- --version-info
  - llvm-readelf command line option
  - llvm-readobj command line option
- --vg
  - lit command line option
- --vg-arg
  - lit command line option
- --vg-leak
  - lit command line option
- --weak-bind
  - llvm-objdump command line option
- --weaken
  - llvm-objcopy command line option
- --weaken-symbol
  - llvm-objcopy command line option
- --weaken-symbols
  - llvm-objcopy command line option
- --weighted-input
  - llvm-profdata-merge command line option
- --wide
  - llvm-objdump command line option
  - llvm-readelf command line option
- --wildcard
  - llvm-objcopy command line option
  - llvm-strip command line option
- --workers
  - lit command line option
- --write-if-changed
  - llvm-ifs command line option
- --x86-asm-syntax
  - llc command line option
  - llvm-objdump command line option
  - llvm-profgen command line option
- --xfail
  - lit command line option
- --xfail-not
  - lit command line option
- --zero-counter-threshold
  - llvm-profdata-merge command line option
- -_
  - llvm-cxxfilt command line option
- -A
  - llvm-nm command line option
  - llvm-readelf command line option
  - llvm-readobj command line option
  - llvm-size command line option
- -a
  - lit command line option
  - llvm-cov-gcov command line option
  - llvm-dwarfdump command line option
  - llvm-nm command line option
  - llvm-objdump command line option
  - llvm-readelf command line option
  - llvm-strings command line option
  - llvm-symbolizer command line option
- -add_rpath
  - llvm-install-name-tool command line option
- -all
  - llvm-pdbutil-dump command line option
  - llvm-pdbutil-pretty command line option
- -all-stats
  - llvm-mca command line option

- -all-views
  - llvm-mca command line option
- -analysis-clustering
  - llvm-exegesis command line option
- -analysis-clustering-epsilon
  - llvm-exegesis command line option
- -analysis-clusters-output-file
  - llvm-exegesis command line option
- -analysis-display-unstable-clusters
  - llvm-exegesis command line option
- -analysis-inconsistencies-output-file
  - llvm-exegesis command line option
- -analysis-inconsistency-epsilon
  - llvm-exegesis command line option
- -analysis-numpoints
  - llvm-exegesis command line option
- -arch
  - llvm-cov-export command line option
  - llvm-cov-report command line option
  - llvm-cov-show command line option
  - llvm-otool command line option
- -arch_only
  - llvm-libtool-darwin command line option
- -archs
  - llvm-lipo command line option
- -asmformat-error-is-fatal
  - tblgen command line option
- -asmparsernum
  - tblgen command line option
- -asmwriternum
  - tblgen command line option
- -B
  - llvm-nm command line option
  - llvm-objcopy command line option
  - llvm-size command line option
- -b
  - llvm-cov-gcov command line option
- -benchmarks-file
  - llvm-exegesis command line option
- -block-range
  - llvm-pdbutil-bytes command line option
- -bottleneck-analysis
  - llvm-mca command line option
- -byte-range
  - llvm-pdbutil-bytes command line option
- -C
  - llvm-nm command line option
  - llvm-objdump command line option
  - llvm-otool command line option
  - llvm-readelf command line option
  - llvm-readobj command line option
  - llvm-symbolizer command line option
- -c
  - llvm-cov-gcov command line option
  - llvm-dwarfdump command line option
- -change
  - llvm-install-name-tool command line option
- -chunks
  - llvm-pdbutil-bytes command line option
- -clang-component
  - tblgen command line option
- -class
  - tblgen command line option
- -class-definitions
  - llvm-pdbutil-pretty command line option
- -class-order
  - llvm-pdbutil-pretty command line option
- -class-recurse-depth
  - llvm-pdbutil-pretty command line option
- -classes
  - llvm-pdbutil-pretty command line option
- -code-model
  - lli command line option
- -color
  - llvm-libtool-darwin command line option
- -color-output
  - llvm-pdbutil-pretty command line option
- -combiners
  - tblgen command line option
- -compilands
  - llvm-pdbutil-pretty command line option
- -compilation-dir
  - llvm-cov-export command line option
  - llvm-cov-report command line option
  - llvm-cov-show command line option
- -coverage-watermark
  - llvm-cov-show command line option
- -create
  - llvm-lipo command line option
- -D
  - lit command line option
  - llvm-libtool-darwin command line option
  - llvm-nm command line option
  - llvm-objcopy command line option
  - llvm-objdump command line option
  - llvm-otool command line option
  - llvm-strip command line option
  - tblgen command line option
- -d
  - llvm-link command line option
  - llvm-objdump command line option
  - llvm-otool command line option
  - llvm-readelf command line option
  - llvm-readobj command line option
  - llvm-size command line option
  - llvm-strip command line option
  - tblgen command line option
- -D#<FMT>,<NUMVAR>
  - FileCheck command line option
- -D<VAR
  - FileCheck command line option
- -debug
  - opt command line option
  - tblgen command line option
- -delete_all_rpaths
  - llvm-install-name-tool command line option
- -delete_rpath
  - llvm-install-name-tool command line option
- -dependents
  - llvm-pdbutil-dump command line option
- -dialect
  - tblgen command line option
- -dialect-opclass-base
  - tblgen command line option
- -disable-cb
  - llvm-mca command line option
- -disable-excess-fp-precision
  - lli command line option
- -disable-post-RA-scheduler
  - lli command line option
- -disable-spill-fusing
  - lli command line option
- -dispatch
  - llvm-mca command line option
- -dispatch-stats
  - llvm-mca command line option
- -dump-json
  - tblgen command line option
- -e
  - llvm-readelf command line option
  - llvm-readobj command line option
  - llvm-symbolizer command line option
- -ec
  - llvm-pdbutil-bytes command line option
- -enable-no-infs-fp-math
  - lli command line option
- -enable-no-nans-fp-math
  - lli command line option
- -enable-unsafe-fp-math
  - lli command line option
- -enums
  - llvm-pdbutil-pretty command line option
- -exclude-compilands
  - llvm-pdbutil-pretty command line option
- -exclude-symbols
  - llvm-pdbutil-pretty command line option
- -exclude-types
  - llvm-pdbutil-pretty command line option
- -externals
  - llvm-pdbutil-pretty command line option
- -F
  - llvm-dwarfdump command line option
  - llvm-objcopy command line option
- -f
  - dsymutil command line option
  - llvm-cov-gcov command line option
  - llvm-dwarfdump command line option
  - llvm-link command line option
  - llvm-nm command line option
  - llvm-objdump command line option
  - llvm-otool command line option
  - llvm-profdata-merge command line option
  - llvm-strings command line option
  - llvm-symbolizer command line option
  - opt command line option
- -fake-argv0
  - lli command line option
- -filelist
  - llvm-libtool-darwin command line option
- -files
  - llvm-pdbutil-bytes command line option
  - llvm-pdbutil-dump command line option
- -filetype
  - llc command line option
- -force-interpreter
  - lli command line option
- -format
  - llvm-cov-export command line option
  - llvm-cov-show command line option
- -fpm
  - llvm-pdbutil-bytes command line option
- -G
  - llvm-objcopy command line option
  - llvm-otool command line option
- -g
  - llvm-nm command line option
  - llvm-objcopy command line option
  - llvm-objdump command line option
  - llvm-readelf command line option
  - llvm-readobj command line option
  - llvm-strip command line option
- -gen-arm-bf16
  - tblgen command line option
- -gen-arm-cde-builtin-aliases
  - tblgen command line option
- -gen-arm-cde-builtin-codegen
  - tblgen command line option
- -gen-arm-cde-builtin-def
  - tblgen command line option
- -gen-arm-cde-builtin-sema
  - tblgen command line option
- -gen-arm-cde-header
  - tblgen command line option
- -gen-arm-fp16
  - tblgen command line option
- -gen-arm-mve-builtin-aliases
  - tblgen command line option
- -gen-arm-mve-builtin-codegen
  - tblgen command line option
- -gen-arm-mve-builtin-def
  - tblgen command line option
- -gen-arm-mve-builtin-sema
  - tblgen command line option
- -gen-arm-mve-header
  - tblgen command line option
- -gen-arm-neon
  - tblgen command line option
- -gen-arm-neon-sema
  - tblgen command line option
- -gen-arm-neon-test
  - tblgen command line option
- -gen-arm-sve-builtin-codegen
  - tblgen command line option
- -gen-arm-sve-builtins
  - tblgen command line option
- -gen-arm-sve-header
  - tblgen command line option
- -gen-arm-sve-sema-rangechecks
  - tblgen command line option
- -gen-arm-sve-typeflags
  - tblgen command line option
- -gen-asm-matcher
  - tblgen command line option
- -gen-asm-parser
  - tblgen command line option
- -gen-asm-writer
  - tblgen command line option
- -gen-attr-docs
  - tblgen command line option
- -gen-attrs
  - tblgen command line option
- -gen-automata
  - tblgen command line option
- -gen-avail-interface-decls
  - tblgen command line option
- -gen-avail-interface-defs
  - tblgen command line option
- -gen-callingconv
  - tblgen command line option
- -gen-clang-attr-ast-visitor
  - tblgen command line option
- -gen-clang-attr-classes
  - tblgen command line option
- -gen-clang-attr-has-attribute-impl
  - tblgen command line option
- -gen-clang-attr-impl
  - tblgen command line option
- -gen-clang-attr-list"
  - tblgen command line option
- -gen-clang-attr-node-traverse
  - tblgen command line option
- -gen-clang-attr-parsed-attr-impl
  - tblgen command line option
- -gen-clang-attr-parsed-attr-kinds
  - tblgen command line option
- -gen-clang-attr-parsed-attr-list
  - tblgen command line option
- -gen-clang-attr-parser-string-switches
  - tblgen command line option
- -gen-clang-attr-pch-read
  - tblgen command line option
- -gen-clang-attr-pch-write
  - tblgen command line option
- -gen-clang-attr-spelling-index
  - tblgen command line option
- -gen-clang-attr-subject-match-rule-list
  - tblgen command line option
- -gen-clang-attr-subject-match-rules-parser-string-switches
  - tblgen command line option
- -gen-clang-attr-template-instantiate
  - tblgen command line option
- -gen-clang-attr-text-node-dump
  - tblgen command line option
- -gen-clang-basic-reader
  - tblgen command line option
- -gen-clang-basic-writer
  - tblgen command line option
- -gen-clang-comment-command-info
  - tblgen command line option
- -gen-clang-comment-command-list
  - tblgen command line option
- -gen-clang-comment-html-named-character-references
  - tblgen command line option
- -gen-clang-comment-html-tags
  - tblgen command line option
- -gen-clang-comment-html-tags-properties
  - tblgen command line option
- -gen-clang-comment-nodes
  - tblgen command line option
- -gen-clang-data-collectors
  - tblgen command line option
- -gen-clang-decl-nodes
  - tblgen command line option
- -gen-clang-diag-groups
  - tblgen command line option
- -gen-clang-diags-defs
  - tblgen command line option
- -gen-clang-diags-index-name
  - tblgen command line option
- -gen-clang-opcodes
  - tblgen command line option
- -gen-clang-opencl-builtins
  - tblgen command line option
- -gen-clang-sa-checkers
  - tblgen command line option
- -gen-clang-stmt-nodes
  - tblgen command line option
- -gen-clang-test-pragma-attribute-supported-attributes
  - tblgen command line option
- -gen-clang-type-nodes
  - tblgen command line option
- -gen-clang-type-reader
  - tblgen command line option
- -gen-clang-type-writer
  - tblgen command line option
- -gen-compress-inst-emitter
  - tblgen command line option
- -gen-ctags
  - tblgen command line option
- -gen-dag-isel
  - tblgen command line option
- -gen-dfa-packetizer
  - tblgen command line option
- -gen-diag-docs
  - tblgen command line option
- -gen-dialect-doc
  - tblgen command line option
- -gen-directive-decl
  - tblgen command line option, [1]
- -gen-directive-gen
  - tblgen command line option
- -gen-directive-impl
  - tblgen command line option
- -gen-disassembler
  - tblgen command line option
- -gen-emitter
  - tblgen command line option
- -gen-enum-decls
  - tblgen command line option
- -gen-enum-defs
  - tblgen command line option
- -gen-enum-from-llvmir-conversions
  - tblgen command line option
- -gen-enum-to-llvmir-conversions
  - tblgen command line option
- -gen-exegesis
  - tblgen command line option
- -gen-fast-isel
  - tblgen command line option
- -gen-global-isel
  - tblgen command line option
- -gen-global-isel-combiner
  - tblgen command line option
- -gen-instr-docs
  - tblgen command line option
- -gen-instr-info
  - tblgen command line option
- -gen-intrinsic-enums
  - tblgen command line option
- -gen-intrinsic-impl
  - tblgen command line option
- -gen-llvmir-conversions
  - tblgen command line option
- -gen-llvmir-intrinsics
  - tblgen command line option
- -gen-op-decls
  - tblgen command line option
- -gen-op-defs
  - tblgen command line option
- -gen-op-doc
  - tblgen command line option
- -gen-opt-docs
  - tblgen command line option
- -gen-opt-parser-defs
  - tblgen command line option
- -gen-opt-rst
  - tblgen command line option
- -gen-pass-decls
  - tblgen command line option
- -gen-pass-doc
  - tblgen command line option
- -gen-pseudo-lowering
  - tblgen command line option
- -gen-register-bank
  - tblgen command line option
- -gen-register-info
  - tblgen command line option
- -gen-rewriters
  - tblgen command line option
- -gen-riscv-vector-builtin-codegen
  - tblgen command line option
- -gen-riscv-vector-builtins
  - tblgen command line option
- -gen-riscv-vector-header
  - tblgen command line option
- -gen-searchable-tables
  - tblgen command line option
- -gen-spirv-avail-impls
  - tblgen command line option
- -gen-spirv-capability-implication
  - tblgen command line option
- -gen-spirv-enum-avail-decls
  - tblgen command line option
- -gen-spirv-enum-avail-defs
  - tblgen command line option
- -gen-spirv-op-utils
  - tblgen command line option
- -gen-spirv-serialization
  - tblgen command line option
- -gen-struct-attr-decls
  - tblgen command line option
- -gen-struct-attr-defs
  - tblgen command line option
- -gen-subtarget
  - tblgen command line option
- -gen-typedef-decls
  - tblgen command line option
- -gen-typedef-defs
  - tblgen command line option
- -gen-x86-EVEX2VEX-tables
  - tblgen command line option
- -gen-x86-fold-tables
  - tblgen command line option
- -gicombiner-show-expansions
  - tblgen command line option
- -gicombiner-stop-after-build
  - tblgen command line option
- -gicombiner-stop-after-parse
  - tblgen command line option
- -gisel-coverage-file
  - tblgen command line option
- -global-extras
  - llvm-pdbutil-dump command line option
- -globals
  - llvm-pdbutil-dump command line option
  - llvm-pdbutil-pretty command line option
- -h
  - dsymutil command line option
  - lit command line option
  - llvm-ar command line option
  - llvm-cxxfilt command line option
  - llvm-dwarfdump command line option
  - llvm-dwarfutil command line option
  - llvm-install-name-tool command line option
  - llvm-libtool-darwin command line option
  - llvm-lipo command line option
  - llvm-nm command line option
  - llvm-objcopy command line option
  - llvm-objdump command line option
  - llvm-otool command line option
  - llvm-readelf command line option
  - llvm-readobj command line option
  - llvm-size command line option
  - llvm-strings command line option
  - llvm-strip command line option
  - llvm-symbolizer command line option
  - llvm-tli-checker command line option
- -help
  - FileCheck command line option
  - llc command line option
  - lli command line option
  - llvm-exegesis command line option
  - llvm-libtool-darwin command line option
  - llvm-link command line option
  - llvm-lipo command line option
  - llvm-mca command line option
  - opt command line option
  - tblgen command line option
- -help-list
  - llvm-libtool-darwin command line option
  - tblgen command line option
- -I
  - llvm-objcopy command line option
  - llvm-otool command line option
  - llvm-readelf command line option
  - llvm-readobj command line option
  - tblgen command line option
- -i
  - llvm-dwarfdump command line option
  - llvm-symbolizer command line option
- -id
  - llvm-install-name-tool command line option
  - llvm-pdbutil-bytes command line option
- -id-data
  - llvm-pdbutil-dump command line option
- -id-extras
  - llvm-pdbutil-dump command line option
- -id-index
  - llvm-pdbutil-dump command line option
- -ids
  - llvm-pdbutil-dump command line option
- -ignore-filename-regex
  - llvm-cov-export command line option
  - llvm-cov-report command line option
  - llvm-cov-show command line option
- -ignore-invalid-sched-class
  - llvm-exegesis command line option
- -il
  - llvm-pdbutil-dump command line option
- -include-compilands
  - llvm-pdbutil-pretty command line option
- -include-symbols
  - llvm-pdbutil-pretty command line option
- -include-types
  - llvm-pdbutil-pretty command line option
- -info
  - llvm-lipo command line option
- -instruction-info
  - llvm-mca command line option
- -instruction-tables
  - llvm-mca command line option
- -instrument-coverage
  - tblgen command line option
- -instrument-gisel-coverage
  - tblgen command line option
- -intrinsic-prefix
  - tblgen command line option
- -iterations
  - llvm-mca command line option
- -j
  - dsymutil command line option
  - lit command line option
  - llvm-cov-export command line option
  - llvm-cov-show command line option
  - llvm-dwarfutil command line option
  - llvm-nm command line option
  - llvm-objcopy command line option
  - llvm-objdump command line option
  - llvm-otool command line option
  - llvm-profdata-merge command line option
- -jit-enable-eh
  - lli command line option
- -join-liveintervals
  - lli command line option
- -json
  - llvm-mca command line option
- -K
  - llvm-objcopy command line option
  - llvm-strip command line option
- -L
  - llvm-libtool-darwin command line option
  - llvm-objcopy command line option
  - llvm-otool command line option
- -l
  - llvm-cov-gcov command line option
  - llvm-libtool-darwin command line option
  - llvm-objdump command line option
  - llvm-otool command line option
  - llvm-pdbutil-dump command line option
  - llvm-readelf command line option
  - llvm-readobj command line option
  - llvm-size command line option
- -line-coverage-gt
  - llvm-cov-show command line option
- -line-coverage-lt
  - llvm-cov-show command line option
- -lines
  - llvm-pdbutil-pretty command line option
- -llvmir-intrinsics-filter
  - tblgen command line option
- -load
  - lli command line option
  - opt command line option
- -load-address
  - llvm-pdbutil-pretty command line option
- -long-string-literals
  - tblgen command line option
- -loop-body-size
  - llvm-exegesis command line option
- -lqueue
  - llvm-mca command line option
- -lto-pass-remarks-filter
  - command line option
- -lto-pass-remarks-format
  - command line option
- -lto-pass-remarks-hotness-threshold
  - command line option
- -lto-pass-remarks-output
  - command line option
- -lto-pass-remarks-with-hotness
  - command line option
- -M
  - llvm-ar command line option
  - llvm-objdump command line option
- -m
  - llvm-cov-gcov command line option
  - llvm-nm command line option
  - llvm-objdump command line option
  - llvm-size command line option
- -march
  - llc command line option
  - lli command line option
  - llvm-mca command line option
- -match-prefix
  - tblgen command line option
- -mattr
  - llc command line option
  - lli command line option
- -max-configs-per-opcode
  - llvm-exegesis command line option
- -mcpu
  - llc command line option
  - lli command line option
  - llvm-exegesis command line option
  - llvm-mca command line option
  - llvm-otool command line option
- -meabi
  - llc command line option
- -min-class-padding
  - llvm-pdbutil-pretty command line option
- -min-class-padding-imm
  - llvm-pdbutil-pretty command line option
- -min-type-size
  - llvm-pdbutil-pretty command line option
- -mod
  - llvm-pdbutil-bytes command line option
- -mode
  - llvm-exegesis command line option
- -modi
  - llvm-pdbutil-bytes command line option
  - llvm-pdbutil-dump command line option
- -module-syms
  - llvm-pdbutil-pretty command line option
- -modules
  - llvm-pdbutil-dump command line option
- -mtriple
  - llc command line option
  - lli command line option
  - llvm-mca command line option
- -N
  - llvm-objcopy command line option
  - llvm-strip command line option
- -n
  - llvm-cov-gcov command line option
  - llvm-cxxfilt command line option
  - llvm-dwarfdump command line option
  - llvm-nm command line option
  - llvm-readelf command line option
  - llvm-readobj command line option
  - llvm-strings command line option
- -name
  - llvm-cov-show command line option
  - tblgen command line option
- -name-allowlist
  - llvm-cov-show command line option
- -name-map
  - llvm-pdbutil-bytes command line option
- -name-regex
  - llvm-cov-show command line option
- -name-whitelist
  - llvm-cov-show command line option
- -no-compiler-generated
  - llvm-pdbutil-pretty command line option
- -no-enum-definitions
  - llvm-pdbutil-pretty command line option
- -no-system-libs
  - llvm-pdbutil-pretty command line option
- -no_warning_for_no_symbols
  - llvm-libtool-darwin command line option
- -noalias
  - llvm-mca command line option
- -nozero-initialized-in-bss
  - lli command line option
- -null-backend
  - tblgen command line option
- -num-repetitions
  - llvm-exegesis command line option
- -num-threads
  - llvm-cov-export command line option
  - llvm-cov-show command line option
- -O
  - llc command line option
  - llvm-objcopy command line option
- -o
  - dsymutil command line option
  - llc command line option
  - llvm-cov-gcov command line option
  - llvm-cxxmap command line option
  - llvm-dwarfdump command line option
  - llvm-libtool-darwin command line option
  - llvm-link command line option
  - llvm-mca command line option
  - llvm-nm command line option
  - llvm-otool command line option
  - llvm-profdata-merge command line option
  - llvm-profdata-overlap command line option
  - llvm-profdata-show command line option
  - llvm-remark-size-diff command line option
  - llvm-size command line option
  - llvm-stress command line option
  - llvm-strip command line option
  - opt command line option
  - tblgen command line option
- -omit-comments
  - tblgen command line option
- -op-exclude-regex
  - tblgen command line option
- -op-include-regex
  - tblgen command line option
- -opcode-index
  - llvm-exegesis command line option
- -opcode-name
  - llvm-exegesis command line option
- -opt-remarks-filename
  - command line option
- -opt-remarks-filter
  - command line option
- -opt-remarks-format
  - command line option
- -opt-remarks-with-hotness
  - command line option
- -optimize-match-table
  - tblgen command line option
- -output
  - llvm-cxxmap command line option
- -output-asm-variant
  - llvm-mca command line option
- -output-dir
  - llvm-cov-show command line option
- -P
  - llvm-nm command line option
  - llvm-otool command line option
- -p
  - llvm-cov-gcov command line option
  - llvm-dwarfdump command line option
  - llvm-nm command line option
  - llvm-objcopy command line option
  - llvm-objdump command line option
  - llvm-otool command line option
  - llvm-readelf command line option
  - llvm-readobj command line option
  - llvm-strip command line option
  - llvm-symbolizer command line option
- -pass-remarks
  - command line option, [1]
- -pass-remarks-analysis
  - command line option
- -pass-remarks-filter
  - command line option
- -pass-remarks-format
  - command line option
- -pass-remarks-hotness-threshold
  - command line option
- -pass-remarks-missed
  - command line option
- -pass-remarks-output
  - command line option
- -pass-remarks-with-hotness
  - command line option
- -path-equivalence
  - llvm-cov-show command line option
- -pdb
  - llvm-pdbutil-merge command line option
  - llvm-pdbutil-yaml2pdb command line option
- -pgo-warn-misexpect
  - command line option
- -pre-RA-sched
  - lli command line option
- -print-detailed-records
  - tblgen command line option
- -print-enums
  - tblgen command line option
- -print-imm-hex
  - llvm-mca command line option
- -print-passes
  - opt command line option
- -print-records
  - tblgen command line option
- -print-sets
  - tblgen command line option
- -public-extras
  - llvm-pdbutil-dump command line option
- -publics
  - llvm-pdbutil-dump command line option
- -q
  - lit command line option
- -R
  - llvm-objcopy command line option
  - llvm-objdump command line option
  - llvm-strip command line option
- -r
  - llvm-cov-gcov command line option
  - llvm-cxxmap command line option
  - llvm-dwarfdump command line option
  - llvm-nm command line option
  - llvm-objdump command line option
  - llvm-otool command line option
  - llvm-profdata-merge command line option
  - llvm-readelf command line option
  - llvm-readobj command line option
- -regalloc
  - lli command line option
- -region-coverage-gt
  - llvm-cov-show command line option
- -region-coverage-lt
  - llvm-cov-show command line option
- -register-file-size
  - llvm-mca command line option
- -register-file-stats
  - llvm-mca command line option
- -register-info-debug
  - tblgen command line option
- -relocation-model
  - lli command line option
- -remapping-file
  - llvm-cxxmap command line option
- -remarks-section
  - llc command line option
- -repetition-mode
  - llvm-exegesis command line option
- -replace
  - llvm-lipo command line option
- -resource-pressure
  - llvm-mca command line option
- -retire-stats
  - llvm-mca command line option
- -rpath
  - llvm-install-name-tool command line option
- -S
  - dsymutil command line option
  - llvm-link command line option
  - llvm-nm command line option
  - llvm-objcopy command line option
  - llvm-objdump command line option
  - llvm-readelf command line option
  - llvm-readobj command line option
  - llvm-strip command line option
  - opt command line option
- -s
  - dsymutil command line option
  - lit command line option
  - llvm-cov-gcov command line option
  - llvm-cxxfilt command line option
  - llvm-nm command line option
  - llvm-objdump command line option
  - llvm-otool command line option
  - llvm-readelf command line option
  - llvm-readobj command line option
  - llvm-strip command line option
  - llvm-symbolizer command line option
- -sc
  - llvm-pdbutil-bytes command line option
- -scheduler-stats
  - llvm-mca command line option
- -section-contribs
  - llvm-pdbutil-dump command line option
- -section-headers
  - llvm-pdbutil-dump command line option
- -section-map
  - llvm-pdbutil-dump command line option
- -seed
  - llvm-stress command line option
- -segalign
  - llvm-lipo command line option
- -show-barriers
  - llvm-mca command line option
- -show-branch-summary
  - llvm-cov-report command line option
- -show-branches
  - llvm-cov-show command line option
- -show-encoding
  - llvm-mca command line option
- -show-expansions
  - llvm-cov-show command line option
- -show-functions
  - llvm-cov-report command line option
- -show-instantiation-summary
  - llvm-cov-report command line option
- -show-instantiations
  - llvm-cov-show command line option
- -show-line-counts
  - llvm-cov-show command line option
- -show-line-counts-or-regions
  - llvm-cov-show command line option
- -show-region-summary
  - llvm-cov-report command line option
- -show-regions
  - llvm-cov-show command line option
- -size
  - llvm-stress command line option
- -skip-expansions
  - llvm-cov-export command line option
- -skip-functions
  - llvm-cov-export command line option
- -sm
  - llvm-pdbutil-bytes command line option
- -snippets-file
  - llvm-exegesis command line option
- -soft-float
  - lli command line option
- -spiller
  - lli command line option
- -split-chunks
  - llvm-pdbutil-bytes command line option
- -squeue
  - llvm-mca command line option
- -stack-size-section
  - llc command line option
- -static
  - llvm-libtool-darwin command line option
- -stats
  - lli command line option
  - opt command line option
  - tblgen command line option
- -stream-blocks
  - llvm-pdbutil-dump command line option
- -stream-data
  - llvm-pdbutil-bytes command line option
- -streams
  - llvm-pdbutil-dump command line option
- -string-table
  - llvm-pdbutil-dump command line option
- -strip-debug
  - opt command line option
- -summary
  - llvm-pdbutil-dump command line option
- -summary-only
  - llvm-cov-export command line option
- -sym-data
  - llvm-pdbutil-dump command line option
- -sym-types
  - llvm-pdbutil-pretty command line option
- -symbol-order
  - llvm-pdbutil-pretty command line option
- -symbols
  - llvm-pdbutil-dump command line option
- -syms
  - llvm-pdbutil-bytes command line option
- -T
  - llvm-objdump command line option
  - llvm-strip command line option
- -t
  - llvm-cov-gcov command line option
  - llvm-cxxfilt command line option
  - llvm-nm command line option
  - llvm-objdump command line option
  - llvm-otool command line option
  - llvm-readelf command line option
  - llvm-size command line option
  - llvm-strings command line option
- -tab-size
  - llvm-cov-show command line option
- -thin
  - llvm-lipo command line option
- -time-passes
  - lli command line option
  - opt command line option
- -time-phases
  - tblgen command line option
- -timeline
  - llvm-mca command line option
- -timeline-max-cycles
  - llvm-mca command line option
- -timeline-max-iterations
  - llvm-mca command line option
- -type
  - llvm-pdbutil-bytes command line option
- -type-data
  - llvm-pdbutil-dump command line option
- -type-extras
  - llvm-pdbutil-dump command line option
- -type-index
  - llvm-pdbutil-dump command line option
- -type-server
  - llvm-pdbutil-bytes command line option
- -typedefs
  - llvm-pdbutil-pretty command line option
- -typedefs-dialect
  - tblgen command line option
- -types
  - llvm-pdbutil-dump command line option
  - llvm-pdbutil-pretty command line option
- -U
  - llvm-libtool-darwin command line option
  - llvm-nm command line option
  - llvm-objcopy command line option
  - llvm-strip command line option
- -u
  - dsymutil command line option
  - llvm-cov-gcov command line option
  - llvm-dwarfdump command line option
  - llvm-nm command line option
  - llvm-objdump command line option
  - llvm-readelf command line option
  - llvm-readobj command line option
- -use-color
  - llvm-cov-report command line option
  - llvm-cov-show command line option
- -V
  - llvm-install-name-tool command line option
  - llvm-libtool-darwin command line option
  - llvm-nm command line option
  - llvm-objcopy command line option
  - llvm-otool command line option
  - llvm-readelf command line option
  - llvm-readobj command line option
  - llvm-strip command line option
- -v
  - dsymutil command line option
  - FileCheck command line option
  - lit command line option
  - llvm-dwarfdump command line option
  - llvm-link command line option
  - llvm-nm command line option
  - llvm-objdump command line option
  - llvm-otool command line option
  - llvm-symbolizer command line option
- -verify-each
  - opt command line option
- -verify_arch
  - llvm-lipo command line option
- -version
  - FileCheck command line option
  - lli command line option
  - llvm-cov-gcov command line option
  - llvm-libtool-darwin command line option
  - llvm-lipo command line option
  - tblgen command line option
- -vv
  - FileCheck command line option
  - lit command line option
- -W
  - llvm-nm command line option
  - llvm-objcopy command line option
  - llvm-readelf command line option
- -w
  - llvm-objcopy command line option
  - llvm-objdump command line option
  - llvm-strip command line option
- -Wambiguous
  - llvm-cxxmap command line option
- -warn-on-skipped-patterns
  - tblgen command line option
- -warnings_as_errors
  - llvm-libtool-darwin command line option
- -Wincomplete
  - llvm-cxxmap command line option
- -write-if-changed
  - tblgen command line option
- -X
  - llvm-ar command line option
  - llvm-nm command line option
  - llvm-objcopy command line option
  - llvm-otool command line option
  - llvm-strip command line option
- -x
  - llvm-cov-gcov command line option
  - llvm-dwarfdump command line option
  - llvm-nm command line option
  - llvm-objcopy command line option
  - llvm-objdump command line option
  - llvm-otool command line option
  - llvm-readelf command line option
  - llvm-readobj command line option
  - llvm-size command line option
  - llvm-strip command line option
- -x86-asm-syntax
  - lli command line option
- -x86-lbr-sample-period
  - llvm-exegesis command line option
- -Xdemangler
  - llvm-cov-show command line option
- -xme
  - llvm-pdbutil-dump command line option
- -xmi
  - llvm-pdbutil-dump command line option
- -y
  - dsymutil command line option
- -z
  - dsymutil command line option
  - llvm-objdump command line option
- -{passname}
  - opt command line option
- @<FILE>
  - llvm-ar command line option
  - llvm-cxxfilt command line option
  - llvm-dwarfdump command line option
  - llvm-nm command line option
  - llvm-objcopy command line option
  - llvm-objdump command line option
  - llvm-otool command line option
  - llvm-readelf command line option
  - llvm-readobj command line option
  - llvm-size command line option
  - llvm-strings command line option
  - llvm-strip command line option
  - llvm-symbolizer command line option
  - llvm-tli-checker command line option
- ``posix``
  - llvm-ar command line option

## A

- a
  - llvm-ar command line option
- ADDLIB
  - llvm-ar command line option

- ADDMOD
  - llvm-ar command line option
- att
  - llvm-objdump command line option

## B

- b
  - llvm-ar command line option

## C

- c
  - llvm-ar command line option
- command line option
  - -lto-pass-remarks-filter
  - -lto-pass-remarks-format
  - -lto-pass-remarks-hotness-threshold
  - -lto-pass-remarks-output
  - -lto-pass-remarks-with-hotness
  - -opt-remarks-filename
  - -opt-remarks-filter
  - -opt-remarks-format
  - -opt-remarks-with-hotness
  - -pass-remarks, [1]
  - -pass-remarks-analysis
  - -pass-remarks-filter
  - -pass-remarks-format
  - -pass-remarks-hotness-threshold
  - -pass-remarks-missed
  - -pass-remarks-output
  - -pass-remarks-with-hotness
  - -pgo-warn-misexpect

- CREATE
  - llvm-ar command line option
- CREATETHIN
  - llvm-ar command line option

## D

- D
  - llvm-ar command line option
- d
  - llvm-ar command line option
- default
  - llvm-ar command line option
- DELETE
  - llvm-ar command line option
- dsymutil command line option
  - --accelerator
  - --arch
  - --dump-debug-map
  - --flat
  - --gen-reproducer
  - --help
  - --keep-function-for-static
  - --minimize
  - --no-odr
  - --no-output
  - --no-swiftmodule-timestamp
  - --num-threads
  - --object-prefix-map
  - --oso-prepend-path
  - --out
  - --papertrail
  - --remarks-output-format
  - --remarks-prepend-path
  - --reproducer
  - --statistics
  - --symbol-map
  - --symtab
  - --toolchain
  - --update
  - --use-reproducer
  - --verbose
  - --verify
  - --version
  - -f
  - -h
  - -j
  - -o
  - -s
  - -S
  - -u
  - -v
  - -y
  - -z

## E

- either
  - llvm-ar command line option

- END
  - llvm-ar command line option

## F

- FileCheck command line option
  - --allow-deprecated-dag-overlap
  - --allow-empty
  - --allow-unused-prefixes
  - --check-prefix
  - --check-prefixes
  - --color
  - --comment-prefixes
  - --dump-input
  - --dump-input-context
  - --dump-input-filter
  - --enable-var-scope
  - --ignore-case
  - --implicit-check-not
  - --input-file
  - --match-full-lines
  - --strict-whitespace
  - -D#<FMT>,<NUMVAR>
  - -D<VAR
  - -help
  - -v
  - -version
  - -vv

## G

- gen-lldb-option-defs
  - tblgen command line option
- gen-lldb-property-defs
  - tblgen command line option

- gen-lldb-property-enum-defs
  - tblgen command line option

## I

- i
  - llvm-ar command line option

- intel
  - llvm-objdump command line option

## L

- L
  - llvm-ar command line option
- lit command line option
  - --config-prefix
  - --debug
  - --echo-all-commands
  - --filter
  - --filter-out
  - --help
  - --ignore-fail
  - --max-failures
  - --max-tests
  - --max-time
  - --no-indirectly-run-check
  - --no-progress-bar
  - --num-shards
  - --order
  - --param
  - --path
  - --quiet
  - --run-shard
  - --show-all
  - --show-suites
  - --show-tests
  - --show-unsupported
  - --show-xfail
  - --shuffle
  - --succinct
  - --time-tests
  - --timeout
  - --verbose
  - --vg
  - --vg-arg
  - --vg-leak
  - --workers
  - --xfail
  - --xfail-not
  - -a
  - -D
  - -h
  - -j
  - -q
  - -s
  - -v
  - -vv
- llc command line option
  - --disable-excess-fp-precision
  - --enable-no-infs-fp-math
  - --enable-no-nans-fp-math
  - --enable-no-signed-zeros-fp-math
  - --enable-no-trapping-fp-math
  - --enable-unsafe-fp-math
  - --frame-pointer
  - --load
  - --print-after-isel
  - --regalloc
  - --spiller
  - --stats
  - --time-passes
  - --x86-asm-syntax
  - -filetype
  - -help
  - -march
  - -mattr
  - -mcpu
  - -meabi
  - -mtriple
  - -o
  - -O
  - -remarks-section
  - -stack-size-section
- lli command line option
  - -code-model
  - -disable-excess-fp-precision
  - -disable-post-RA-scheduler
  - -disable-spill-fusing
  - -enable-no-infs-fp-math
  - -enable-no-nans-fp-math
  - -enable-unsafe-fp-math
  - -fake-argv0
  - -force-interpreter
  - -help
  - -jit-enable-eh
  - -join-liveintervals
  - -load
  - -march
  - -mattr
  - -mcpu
  - -mtriple
  - -nozero-initialized-in-bss
  - -pre-RA-sched
  - -regalloc
  - -relocation-model
  - -soft-float
  - -spiller
  - -stats
  - -time-passes
  - -version
  - -x86-asm-syntax
- llvm-ar command line option
  - --format
  - --help
  - --output
  - --rsp-quoting
  - --thin
  - --version
  - -h
  - -M
  - -X
  - @<FILE>
  - ``posix``
  - a
  - ADDLIB
  - ADDMOD
  - b
  - c
  - CREATE
  - CREATETHIN
  - d
  - D
  - default
  - DELETE
  - either
  - END
  - i
  - L
  - m
  - N
  - o
  - O
  - otherwise
  - p
  - P
  - q
  - r
  - s
  - S
  - SAVE
  - T
  - This
  - u
  - U
  - V
  - v
  - x
- llvm-bcanalyzer command line option
  - --dump
  - --help
- llvm-cov-export command line option
  - -arch
  - -compilation-dir
  - -format
  - -ignore-filename-regex
  - -j
  - -num-threads
  - -skip-expansions
  - -skip-functions
  - -summary-only
- llvm-cov-gcov command line option
  - --all-blocks
  - --branch-counts
  - --branch-probabilities
  - --demangled-names
  - --function-summaries
  - --hash-filenames
  - --help
  - --long-file-names
  - --no-output
  - --object-directory
  - --object-file
  - --preserve-paths
  - --stdout
  - --unconditional-branches
  - -a
  - -b
  - -c
  - -f
  - -l
  - -m
  - -n
  - -o
  - -p
  - -r
  - -s
  - -t
  - -u
  - -version
  - -x
- llvm-cov-report command line option
  - -arch
  - -compilation-dir
  - -ignore-filename-regex
  - -show-branch-summary
  - -show-functions
  - -show-instantiation-summary
  - -show-region-summary
  - -use-color
- llvm-cov-show command line option
  - -arch
  - -compilation-dir
  - -coverage-watermark
  - -format
  - -ignore-filename-regex
  - -j
  - -line-coverage-gt
  - -line-coverage-lt
  - -name
  - -name-allowlist
  - -name-regex
  - -name-whitelist
  - -num-threads
  - -output-dir
  - -path-equivalence
  - -region-coverage-gt
  - -region-coverage-lt
  - -show-branches
  - -show-expansions
  - -show-instantiations
  - -show-line-counts
  - -show-line-counts-or-regions
  - -show-regions
  - -tab-size
  - -use-color
  - -Xdemangler
- llvm-cxxfilt command line option
  - --format
  - --help
  - --no-strip-underscore
  - --strip-underscore
  - --types
  - --version
  - -_
  - -h
  - -n
  - -s
  - -t
  - @<FILE>
- llvm-cxxmap command line option
  - -o
  - -output
  - -r
  - -remapping-file
  - -Wambiguous
  - -Wincomplete
- llvm-dwarfdump command line option
  - --all
  - --apple-names
  - --apple-namespaces
  - --apple-objc
  - --apple-types
  - --arch
  - --color
  - --debug-abbrev
  - --debug-addr
  - --debug-aranges
  - --debug-cu-index
  - --debug-frame
  - --debug-gnu-pubnames
  - --debug-gnu-pubtypes
  - --debug-info
  - --debug-line
  - --debug-line-str
  - --debug-loc
  - --debug-loclists
  - --debug-macro
  - --debug-names
  - --debug-pubnames
  - --debug-pubtypes
  - --debug-ranges
  - --debug-rnglists
  - --debug-str
  - --debug-str-offsets
  - --debug-tu-index
  - --debug-types
  - --diff
  - --eh-frame
  - --find
  - --gdb-index
  - --help
  - --help-list
  - --ignore-case
  - --lookup
  - --name
  - --parent-recurse-depth
  - --quiet
  - --recurse-depth
  - --regex
  - --show-children
  - --show-form
  - --show-parents
  - --show-section-sizes
  - --show-sources
  - --statistics
  - --summarize-types
  - --uuid
  - --verbose
  - --verify
  - --version
  - -a
  - -c
  - -f
  - -F
  - -h
  - -i
  - -n
  - -o
  - -p
  - -r
  - -u
  - -v
  - -x
  - @<FILE>
- llvm-dwarfutil command line option
  - --garbage-collection
  - --help
  - --no-garbage-collection
  - --no-odr-deduplication
  - --no-separate-debug-file
  - --num-threads
  - --odr-deduplication
  - --separate-debug-file
  - --tombstone
  - --verbose
  - --verify
  - --version
  - -h
  - -j
- llvm-exegesis command line option
  - --dump-object-to-disk
  - -analysis-clustering
  - -analysis-clustering-epsilon
  - -analysis-clusters-output-file
  - -analysis-display-unstable-clusters
  - -analysis-inconsistencies-output-file
  - -analysis-inconsistency-epsilon
  - -analysis-numpoints
  - -benchmarks-file
  - -help
  - -ignore-invalid-sched-class
  - -loop-body-size
  - -max-configs-per-opcode
  - -mcpu
  - -mode
  - -num-repetitions
  - -opcode-index
  - -opcode-name
  - -repetition-mode
  - -snippets-file
  - -x86-lbr-sample-period
- llvm-ifs command line option
  - --arch
  - --bitwidth
  - --endianness
  - --hint-ifs-target, [1]
  - --input-format
  - --output-elf
  - --output-ifs
  - --output-tbd
  - --strip-ifs-bitwidth
  - --strip-ifs-endianness
  - --strip-ifs-target
  - --strip-size
  - --target
  - --write-if-changed
- llvm-install-name-tool command line option
  - --help
  - --version
  - -add_rpath
  - -change
  - -delete_all_rpaths
  - -delete_rpath
  - -h
  - -id
  - -rpath
  - -V
- llvm-libtool-darwin command line option
  - -arch_only
  - -color
  - -D
  - -filelist
  - -h
  - -help
  - -help-list
  - -l
  - -L
  - -no_warning_for_no_symbols
  - -o
  - -static
  - -U
  - -V
  - -version
  - -warnings_as_errors
- llvm-link command line option
  - -d
  - -f
  - -help
  - -o
  - -S
  - -v
- llvm-lipo command line option
  - -archs
  - -create
  - -h
  - -help
  - -info
  - -replace
  - -segalign
  - -thin
  - -verify_arch
  - -version
- llvm-locstats command line option
  - --compare
  - --draw-plot
  - --ignore-debug-entry-values
  - --only-formal-parameters
  - --only-variables
- llvm-mca command line option
  - -all-stats
  - -all-views
  - -bottleneck-analysis
  - -disable-cb
  - -dispatch
  - -dispatch-stats
  - -help
  - -instruction-info
  - -instruction-tables
  - -iterations
  - -json
  - -lqueue
  - -march
  - -mcpu
  - -mtriple
  - -noalias
  - -o
  - -output-asm-variant
  - -print-imm-hex
  - -register-file-size
  - -register-file-stats
  - -resource-pressure
  - -retire-stats
  - -scheduler-stats
  - -show-barriers
  - -show-encoding
  - -squeue
  - -timeline
  - -timeline-max-cycles
  - -timeline-max-iterations
- llvm-nm command line option
  - --add-dyldinfo
  - --add-inlinedinfo
  - --arch
  - --debug-syms
  - --defined-only
  - --demangle
  - --dyldinfo-only
  - --dynamic
  - --export-symbols
  - --extern-only
  - --format
  - --help
  - --no-demangle
  - --no-dyldinfo
  - --no-llvm-bc
  - --no-rsrc
  - --no-sort
  - --no-weak
  - --numeric-sort
  - --portability
  - --print-armap
  - --print-file-name
  - --print-size
  - --quiet
  - --radix
  - --reverse-sort
  - --size-sort
  - --special-syms
  - --undefined-only
  - --version
  - -a
  - -A
  - -B
  - -C
  - -D
  - -f
  - -g
  - -h
  - -j
  - -m
  - -n
  - -o
  - -p
  - -P
  - -r
  - -S
  - -s
  - -t
  - -U
  - -u
  - -v
  - -V
  - -W
  - -X
  - -x
  - @<FILE>
- llvm-objcopy command line option
  - --add-gnu-debuglink
  - --add-section
  - --add-symbol
  - --adjust-start
  - --allow-broken-links
  - --binary-architecture
  - --change-start
  - --compress-debug-sections
  - --decompress-debug-sections
  - --disable-deterministic-archives
  - --discard-all
  - --discard-locals
  - --dump-section
  - --enable-deterministic-archives
  - --extract-dwo
  - --extract-main-partition
  - --extract-partition
  - --globalize-symbol
  - --globalize-symbols
  - --help
  - --input-target
  - --keep-file-symbols
  - --keep-global-symbol
  - --keep-global-symbols
  - --keep-section
  - --keep-symbol
  - --keep-symbols
  - --keep-undefined
  - --localize-hidden
  - --localize-symbol
  - --localize-symbols
  - --new-symbol-visibility
  - --only-keep-debug
  - --only-section
  - --output-target
  - --prefix-alloc-sections
  - --prefix-symbols
  - --preserve-dates
  - --redefine-sym
  - --redefine-syms
  - --regex
  - --remove-section
  - --rename-section
  - --set-section-alignment
  - --set-section-flags
  - --set-section-type
  - --set-start-addr
  - --split-dwo
  - --strip-all
  - --strip-all-gnu
  - --strip-debug
  - --strip-dwo
  - --strip-non-alloc
  - --strip-sections
  - --strip-symbol
  - --strip-symbols
  - --strip-unneeded
  - --strip-unneeded-symbol
  - --strip-unneeded-symbols
  - --subsystem
  - --target
  - --update-section
  - --version
  - --weaken
  - --weaken-symbol
  - --weaken-symbols
  - --wildcard
  - -B
  - -D
  - -F
  - -g
  - -G
  - -h
  - -I
  - -j
  - -K
  - -L
  - -N
  - -O
  - -p
  - -R
  - -S
  - -U
  - -V
  - -w
  - -W
  - -x
  - -X
  - @<FILE>

- llvm-objdump command line option
  - --adjust-vma
  - --all-headers
  - --arch
  - --arch-name
  - --archive-headers
  - --archive-member-offsets
  - --bind
  - --data-in-code
  - --debug-vars
  - --debug-vars-indent
  - --demangle
  - --dis-symname
  - --disassemble
  - --disassemble-all
  - --disassemble-symbols
  - --disassemble-zeroes
  - --disassembler-options
  - --dsym
  - --dwarf
  - --dyld_info
  - --dylib-id
  - --dylibs-used
  - --dynamic-reloc
  - --dynamic-syms
  - --exports-trie
  - --fault-map-section
  - --file-headers
  - --full-contents
  - --full-leading-addr
  - --function-starts
  - --headers
  - --help
  - --indirect-symbols
  - --info-plist
  - --lazy-bind
  - --line-numbers
  - --link-opt-hints
  - --macho
  - --mattr
  - --mcpu
  - --no-leading-addr
  - --no-leading-headers
  - --no-print-imm-hex
  - --no-show-raw-insn
  - --no-symbolic-operands
  - --non-verbose
  - --objc-meta-data
  - --offloading
  - --prefix
  - --prefix-strip
  - --print-imm-hex
  - --private-header
  - --private-headers
  - --raw-clang-ast
  - --rebase
  - --reloc
  - --rpaths
  - --section
  - --section-headers
  - --show-lma
  - --source
  - --start-address
  - --stop-address
  - --symbol-description
  - --symbolize-operands
  - --syms
  - --triple
  - --universal-headers
  - --unwind-info
  - --version
  - --weak-bind
  - --wide
  - --x86-asm-syntax
  - -a
  - -C
  - -d
  - -D
  - -f
  - -g
  - -h
  - -j
  - -l
  - -M
  - -m
  - -p
  - -r
  - -R
  - -s
  - -S
  - -t
  - -T
  - -u
  - -v
  - -w
  - -x
  - -z
  - @<FILE>
  - att
  - intel
- llvm-otool command line option
  - --help
  - --help-hidden
  - --version
  - -arch
  - -C
  - -D
  - -d
  - -f
  - -G
  - -h
  - -I
  - -j
  - -L
  - -l
  - -mcpu
  - -o
  - -P
  - -p
  - -r
  - -s
  - -t
  - -V
  - -v
  - -X
  - -x
  - @<FILE>
- llvm-pdbutil-bytes command line option
  - -block-range
  - -byte-range
  - -chunks
  - -ec
  - -files
  - -fpm
  - -id
  - -mod
  - -modi
  - -name-map
  - -sc
  - -sm
  - -split-chunks
  - -stream-data
  - -syms
  - -type
  - -type-server
- llvm-pdbutil-dump command line option
  - -all
  - -dependents
  - -files
  - -global-extras
  - -globals
  - -id-data
  - -id-extras
  - -id-index
  - -ids
  - -il
  - -l
  - -modi
  - -modules
  - -public-extras
  - -publics
  - -section-contribs
  - -section-headers
  - -section-map
  - -stream-blocks
  - -streams
  - -string-table
  - -summary
  - -sym-data
  - -symbols
  - -type-data
  - -type-extras
  - -type-index
  - -types
  - -xme
  - -xmi
- llvm-pdbutil-merge command line option
  - -pdb
- llvm-pdbutil-pretty command line option
  - -all
  - -class-definitions
  - -class-order
  - -class-recurse-depth
  - -classes
  - -color-output
  - -compilands
  - -enums
  - -exclude-compilands
  - -exclude-symbols
  - -exclude-types
  - -externals
  - -globals
  - -include-compilands
  - -include-symbols
  - -include-types
  - -lines
  - -load-address
  - -min-class-padding
  - -min-class-padding-imm
  - -min-type-size
  - -module-syms
  - -no-compiler-generated
  - -no-enum-definitions
  - -no-system-libs
  - -sym-types
  - -symbol-order
  - -typedefs
  - -types
- llvm-pdbutil-yaml2pdb command line option
  - -pdb
- llvm-profdata-merge command line option
  - --binary
  - --compress-all-sections
  - --debug-info
  - --extbinary
  - --failure-mode
  - --gcc
  - --gen-partial-profile
  - --help
  - --input-files
  - --instr
  - --instr-prof-cold-threshold
  - --num-threads
  - --output
  - --prof-sym-list
  - --remapping-file
  - --sample
  - --sparse
  - --suppl-min-size-threshold
  - --supplement-instr-with-sample
  - --text
  - --use-md5
  - --weighted-input
  - --zero-counter-threshold
  - -f
  - -j
  - -o
  - -r
- llvm-profdata-overlap command line option
  - --cs
  - --function
  - --help
  - --output
  - --value-cutoff
  - -o
- llvm-profdata-show command line option
  - --all-functions
  - --counts
  - --function
  - --help
  - --instr
  - --list-below-cutoff
  - --memop-sizes
  - --output
  - --sample
  - --show-prof-sym-list
  - --show-sec-info-only
  - --showcs
  - --text
  - --topn
  - --value-cutoff
  - -o
- llvm-profgen command line option
  - --binary
  - --format
  - --output
  - --perfscript
  - --show-disassembly
  - --show-mmap-events
  - --x86-asm-syntax
- llvm-readelf command line option
  - --addrsig
  - --all
  - --arch-specific
  - --bb-addr-map
  - --cg-profile
  - --demangle
  - --dependent-libraries
  - --dyn-relocations
  - --dyn-symbols
  - --dyn-syms
  - --dynamic
  - --dynamic-table
  - --elf-linker-options
  - --elf-output-style
  - --expand-relocs
  - --file-header
  - --gnu-hash-table
  - --hash-symbols
  - --hash-table
  - --headers
  - --help
  - --hex-dump
  - --histogram
  - --needed-libs
  - --no-demangle
  - --notes
  - --pretty-print
  - --program-headers
  - --raw-relr
  - --relocations
  - --relocs
  - --section-data
  - --section-details
  - --section-groups
  - --section-headers
  - --section-mapping
  - --section-relocations
  - --section-symbols
  - --sections
  - --segments
  - --stack-sizes
  - --stackmap
  - --string-dump
  - --symbols
  - --syms
  - --unwind
  - --version
  - --version-info
  - --wide
  - -a
  - -A
  - -C
  - -d
  - -e
  - -g
  - -h
  - -I
  - -l
  - -n
  - -p
  - -r
  - -S
  - -s
  - -t
  - -u
  - -V
  - -W
  - -x
  - @<FILE>
- llvm-readobj command line option
  - --addrsig
  - --all
  - --arch-specific
  - --auxiliary-header
  - --bb-addr-map
  - --cg-profile
  - --codeview
  - --codeview-ghash
  - --codeview-merged-types
  - --codeview-subsection-bytes
  - --coff-basereloc
  - --coff-debug-directory
  - --coff-directives
  - --coff-exports
  - --coff-imports
  - --coff-load-config
  - --coff-resources
  - --coff-tls-directory
  - --demangle
  - --dependent-libraries
  - --dt
  - --dyn-relocations
  - --dyn-symbols
  - --dyn-syms
  - --dynamic
  - --dynamic-table
  - --elf-linker-options
  - --elf-output-style
  - --expand-relocs
  - --file-header
  - --gnu-hash-table
  - --hash-symbols
  - --hash-table
  - --headers
  - --help
  - --hex-dump
  - --histogram
  - --macho-data-in-code
  - --macho-dsymtab
  - --macho-indirect-symbols
  - --macho-linker-options
  - --macho-segment
  - --macho-version-min
  - --needed-libs
  - --notes
  - --pretty-print
  - --program-headers
  - --raw-relr
  - --relocations
  - --relocs
  - --sd
  - --section-data
  - --section-groups
  - --section-headers
  - --section-mapping
  - --section-relocations
  - --section-symbols
  - --sections
  - --segments
  - --sort-symbols
  - --sr
  - --st
  - --stack-sizes
  - --stackmap
  - --string-dump
  - --string-table
  - --symbols
  - --syms
  - --unwind
  - --version
  - --version-info
  - -A
  - -C
  - -d
  - -e
  - -g
  - -h
  - -I
  - -l
  - -n
  - -p
  - -r
  - -S
  - -s
  - -u
  - -V
  - -x
  - @<FILE>
- llvm-remark-size-diff command line option
  - --parser
  - --pretty
  - --report-style
  - -o
- llvm-size command line option
  - --arch
  - --common
  - --format
  - --help
  - --radix
  - --totals
  - --version
  - -A
  - -B
  - -d
  - -h
  - -l
  - -m
  - -o
  - -t
  - -x
  - @<FILE>
- llvm-stress command line option
  - -o
  - -seed
  - -size
- llvm-strings command line option
  - --all
  - --bytes
  - --help
  - --print-file-name
  - --radix
  - --version
  - -a
  - -f
  - -h
  - -n
  - -t
  - @<FILE>
- llvm-strip command line option
  - --allow-broken-links
  - --disable-deterministic-archives
  - --discard-all
  - --discard-locals
  - --enable-deterministic-archives
  - --help
  - --keep-file-symbols
  - --keep-section
  - --keep-symbol
  - --no-strip-all
  - --only-keep-debug
  - --preserve-dates
  - --regex
  - --remove-section
  - --strip-all
  - --strip-all-gnu
  - --strip-debug
  - --strip-sections
  - --strip-symbol
  - --strip-unneeded
  - --version
  - --wildcard
  - -D
  - -d
  - -g
  - -h
  - -K
  - -N
  - -o
  - -p
  - -R
  - -s
  - -S
  - -T
  - -U
  - -V
  - -w
  - -x
  - -X
  - @<FILE>
- llvm-symbolizer command line option
  - --addresses
  - --adjust-vma
  - --basenames
  - --build-id
  - --color
  - --debuginfod
  - --default-arch
  - --demangle
  - --dia
  - --dsym-hint
  - --dwp
  - --exe
  - --fallback-debug-path
  - --filter-markup
  - --functions
  - --help
  - --inlines
  - --inlining
  - --no-debuginfod
  - --no-demangle
  - --no-inlines
  - --obj
  - --output-style
  - --pretty-print
  - --print-address
  - --print-source-context-lines
  - --relativenames
  - --verbose
  - --version
  - -a
  - -C
  - -e
  - -f
  - -h
  - -i
  - -p
  - -s
  - -v
  - @<FILE>
- llvm-tli-checker command line option
  - --dump-tli
  - --help
  - --libdir
  - --report
  - --separate
  - --triple
  - -h
  - @<FILE>

## M

- m
  - llvm-ar command line option

## N

- N
  - llvm-ar command line option

## O

- O
  - llvm-ar command line option
- o
  - llvm-ar command line option
- opt command line option
  - -debug
  - -f
  - -help
  - -load
  - -o
  - -print-passes
  - -S
  - -stats
  - -strip-debug
  - -time-passes
  - -verify-each
  - -{passname}

- otherwise
  - llvm-ar command line option

## P

- P
  - llvm-ar command line option

- p
  - llvm-ar command line option

## Q

- q
  - llvm-ar command line option

## R

- r
  - llvm-ar command line option

## S

- S
  - llvm-ar command line option
- s
  - llvm-ar command line option

- SAVE
  - llvm-ar command line option

## T

- T
  - llvm-ar command line option
- tblgen command line option
  - -asmformat-error-is-fatal
  - -asmparsernum
  - -asmwriternum
  - -clang-component
  - -class
  - -combiners
  - -D
  - -d
  - -debug
  - -dialect
  - -dialect-opclass-base
  - -dump-json
  - -gen-arm-bf16
  - -gen-arm-cde-builtin-aliases
  - -gen-arm-cde-builtin-codegen
  - -gen-arm-cde-builtin-def
  - -gen-arm-cde-builtin-sema
  - -gen-arm-cde-header
  - -gen-arm-fp16
  - -gen-arm-mve-builtin-aliases
  - -gen-arm-mve-builtin-codegen
  - -gen-arm-mve-builtin-def
  - -gen-arm-mve-builtin-sema
  - -gen-arm-mve-header
  - -gen-arm-neon
  - -gen-arm-neon-sema
  - -gen-arm-neon-test
  - -gen-arm-sve-builtin-codegen
  - -gen-arm-sve-builtins
  - -gen-arm-sve-header
  - -gen-arm-sve-sema-rangechecks
  - -gen-arm-sve-typeflags
  - -gen-asm-matcher
  - -gen-asm-parser
  - -gen-asm-writer
  - -gen-attr-docs
  - -gen-attrs
  - -gen-automata
  - -gen-avail-interface-decls
  - -gen-avail-interface-defs
  - -gen-callingconv
  - -gen-clang-attr-ast-visitor
  - -gen-clang-attr-classes
  - -gen-clang-attr-has-attribute-impl
  - -gen-clang-attr-impl
  - -gen-clang-attr-list"
  - -gen-clang-attr-node-traverse
  - -gen-clang-attr-parsed-attr-impl
  - -gen-clang-attr-parsed-attr-kinds
  - -gen-clang-attr-parsed-attr-list
  - -gen-clang-attr-parser-string-switches
  - -gen-clang-attr-pch-read
  - -gen-clang-attr-pch-write
  - -gen-clang-attr-spelling-index
  - -gen-clang-attr-subject-match-rule-list
  - -gen-clang-attr-subject-match-rules-parser-string-switches
  - -gen-clang-attr-template-instantiate
  - -gen-clang-attr-text-node-dump
  - -gen-clang-basic-reader
  - -gen-clang-basic-writer
  - -gen-clang-comment-command-info
  - -gen-clang-comment-command-list
  - -gen-clang-comment-html-named-character-references
  - -gen-clang-comment-html-tags
  - -gen-clang-comment-html-tags-properties
  - -gen-clang-comment-nodes
  - -gen-clang-data-collectors
  - -gen-clang-decl-nodes
  - -gen-clang-diag-groups
  - -gen-clang-diags-defs
  - -gen-clang-diags-index-name
  - -gen-clang-opcodes
  - -gen-clang-opencl-builtins
  - -gen-clang-sa-checkers
  - -gen-clang-stmt-nodes
  - -gen-clang-test-pragma-attribute-supported-attributes
  - -gen-clang-type-nodes
  - -gen-clang-type-reader
  - -gen-clang-type-writer
  - -gen-compress-inst-emitter
  - -gen-ctags
  - -gen-dag-isel
  - -gen-dfa-packetizer
  - -gen-diag-docs
  - -gen-dialect-doc
  - -gen-directive-decl, [1]
  - -gen-directive-gen
  - -gen-directive-impl
  - -gen-disassembler
  - -gen-emitter
  - -gen-enum-decls
  - -gen-enum-defs
  - -gen-enum-from-llvmir-conversions
  - -gen-enum-to-llvmir-conversions
  - -gen-exegesis
  - -gen-fast-isel
  - -gen-global-isel
  - -gen-global-isel-combiner
  - -gen-instr-docs
  - -gen-instr-info
  - -gen-intrinsic-enums
  - -gen-intrinsic-impl
  - -gen-llvmir-conversions
  - -gen-llvmir-intrinsics
  - -gen-op-decls
  - -gen-op-defs
  - -gen-op-doc
  - -gen-opt-docs
  - -gen-opt-parser-defs
  - -gen-opt-rst
  - -gen-pass-decls
  - -gen-pass-doc
  - -gen-pseudo-lowering
  - -gen-register-bank
  - -gen-register-info
  - -gen-rewriters
  - -gen-riscv-vector-builtin-codegen
  - -gen-riscv-vector-builtins
  - -gen-riscv-vector-header
  - -gen-searchable-tables
  - -gen-spirv-avail-impls
  - -gen-spirv-capability-implication
  - -gen-spirv-enum-avail-decls
  - -gen-spirv-enum-avail-defs
  - -gen-spirv-op-utils
  - -gen-spirv-serialization
  - -gen-struct-attr-decls
  - -gen-struct-attr-defs
  - -gen-subtarget
  - -gen-typedef-decls
  - -gen-typedef-defs
  - -gen-x86-EVEX2VEX-tables
  - -gen-x86-fold-tables
  - -gicombiner-show-expansions
  - -gicombiner-stop-after-build
  - -gicombiner-stop-after-parse
  - -gisel-coverage-file
  - -help
  - -help-list
  - -I
  - -instrument-coverage
  - -instrument-gisel-coverage
  - -intrinsic-prefix
  - -llvmir-intrinsics-filter
  - -long-string-literals
  - -match-prefix
  - -name
  - -null-backend
  - -o
  - -omit-comments
  - -op-exclude-regex
  - -op-include-regex
  - -optimize-match-table
  - -print-detailed-records
  - -print-enums
  - -print-records
  - -print-sets
  - -register-info-debug
  - -stats
  - -time-phases
  - -typedefs-dialect
  - -version
  - -warn-on-skipped-patterns
  - -write-if-changed
  - gen-lldb-option-defs
  - gen-lldb-property-defs
  - gen-lldb-property-enum-defs

- This
  - llvm-ar command line option

## U

- U
  - llvm-ar command line option

- u
  - llvm-ar command line option

## V

- V
  - llvm-ar command line option

- v
  - llvm-ar command line option

## X

- x
  - llvm-ar command line option